package com.bcxin.ins.weixin.login.service;

import com.alibaba.fastjson.JSONObject;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public interface WeiXinLoginService  {

    JSONObject login(Map<Object, Object> params, HttpServletRequest req, HttpServletResponse resp);

    JSONObject checkUserExist(String email, HttpServletRequest request);

    JSONObject sendEmailCode(String email, HttpServletRequest request);

    JSONObject sendTelPhoneCode(String email, HttpServletRequest request);

    JSONObject ckeckEmail(String email, HttpServletRequest request);

    JSONObject checkMobile(String tel, HttpServletRequest request);

    JSONObject sendCode(String email, HttpServletRequest request);

    JSONObject checkCodeExist(String code, HttpServletRequest request);

    JSONObject register(Map<Object, Object> params, HttpServletRequest req, HttpServletResponse resp);

    JSONObject resetPassword(HttpServletRequest request, Map<Object, Object> params);
}
